Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7252 - upgrade from 5.2 does not work
Summary: upgrade from 5.2 does not work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-23 12:58 UTC by uhugensc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 17:32:26 UTC


Attachments (Terms of Use)

Description uhugensc 1999-11-23 12:58:41 UTC
hello there

after I applied your installer fix from october 22 - regarding bug report
#5506 - I arrived up to the following execution stack:

File /usr/bin/anaconda, ln 225
   in ? intf.run(todo, test=test)
File /tmp/updates/text.py, ln 1009
   in run: rc=apply (step[1](), step[2])
File /tmp/updates/txt.py, ln 572
   in __call__: if todo.doInstall()
File /tmp/updates/todo.py, ln 1547
   in doInstall: prob= "%-15s %d %c \n" % (mount, need, suffix)

Type error: illegal argument type for built in operation

I guess it is a typing error but as you may see, I am not literate in
python nor printf and it is not exactly Python I wanted to learn now.

I hope you are able to fix the bug soon. If it is only there, you may
send me just "todo.py". I think to be able, to copy it to the right place
during the installation process.

many thanks.
cheers
Ulrich

Comment 1 Jay Turner 1999-11-29 12:15:59 UTC
I will verify that the code is working correctly, but this error message is
occurring in a section of code which is telling you that there is not enough
drive space to perform the upgrade, so you might want to trim down the fat and
try the upgrade again.

I will check to make sure that the fix for the problem you are seeing gets into
the system.

Comment 2 Jay Turner 1999-11-29 16:58:59 UTC
This issue has been assigned to a developer for further action.

Comment 3 Jay Turner 2000-02-22 17:32:59 UTC
Issue is resolved in the latest installer (available in beta.)


Note You need to log in before you can comment on or make changes to this bug.